<?php
/*************************  
  Copyright (c) 2004-2024 TinyWebGallery
  written by Michael Dempfle
 
  This program is free software; you can redistribute it and/or modify 
  it under the terms of the TinyWebGallery license (based on the GNU  
  General Public License as published by the Free Software Foundation;  
  either version 2 of the License, or (at your option) any later version. 
  See license.txt for details.
 
  TWG Admin version: 2.6

  $Date: 2009-06-17 22:57:10 +0200 (Mi, 17 Jun 2009) $
  $Revision: 73 $
**********************************************/
// English Mimes Module for v2.3 (translated by the QuiX project)
$GLOBALS["mimes"] = array(
	// dir, file
	"dir" => "Directory",
	"file" => "File",
	// text
	"text" => "Text File",
	// programming
	"php" => "PHP Script",
	"html" => "HTML Page",
	"js" => "Javascript File",
	"css" => "CSS File",
	// images
	"gif" => "GIF Picture",
	"jpg" => "JPG Picture",
	"bmp" => "BMP Picture",
	"png" => "PNG Picture",
	// compressed
	"zip" => "ZIP Archive",
	"tar" => "TAR Archive",
	"gzip" => "GZIP Archive",
	"bzip2" => "BZIP2 Archive",
	"rar" => "RAR Archive",
	// music
	"mp3" => "MP3 Audio File",
	// movie
	"mpg" => "MPG Video File",
	"mov" => "Movie File",
	"avi" => "AVI Video File",
	"flash" => "Flash Movie File",
	// Micosoft / Adobe
	"pdf" => "PDF File",
	// TWG extension !!
	"foldertext" => "TWG album description",
	"foldername" => "TWG album name",
	"imagetext" => "TWG image description",
	"privatepng" => "TWG album image (protected)",
	"folderpng" => "TWG album image (normal)",
	"watermarktxt" => "TWG watermark test",
	"watermarkpng" => "TWG watermark image",
	"watermarkbigpng" => "TWG watermark (for original)",
	"linktxt" => "TWG external link target",
	"roottxt" => "TWG home link",
	"urltxt" => "TWG URL for external images",
	"backpng" => "TWG background",
	"style" => "TWG style sheet",
	"counter" => "TWG counter file",
	"comment" => "TWG comment file",
	"caption" => "TWG caption file",
	"albumr" => "TWG album description right",
	"albuml" => "TWG album description left",
	"caption" => "TWG caption file",
	"passwd" => "TWG password file"
	);
?>